version = "2.5.2"
container_url = "xgrand/pycoqc:${version}"

process control_basecalling {
  container = "${container_url}"
  label "small_mem_mono_cpus"
  
  if (params.basecalling_out != "") {
    publishDir "results/${params.basecalling_out}", mode: 'copy'
  }

  input:
  path(txt)

  output:
  path("*.html")

  """
  pycoQC -f ${txt} -o Control_basecalling.html
  """
}

process control_bam {
  container = "${container_url}"
  label "small_mem_mono_cpus"
  
  if (params.basecalling_out != "") {
    publishDir "results/${params.basecalling_out}", mode: 'copy'
  }

  input:
  path(txt)
  path(path_bam)

  output:
  path("*.txt")

  """
  find results/${params.minimap2_genome_out} -type f -name "*sorted.bam" > allbamfiles.txt
  #pycoQC -f ${txt} -a ${path_bam} -o Control_mapping.html
  """
}