version = "1.0"
container_url = "xgrand/r-bolero:${version}"

params.rna_count_out = ""
process rna_count{
  container = "${container_url}"
  label "small_mem_mono_cpus"
  tag "${barcode}"
  if (params.rna_count_out != "") {
    publishDir "results/${params.rna_count_out}", mode: 'copy'
  }

  input:
    tuple val(barcode), path(spvariants)
    tuple val(barcode), path(classification)

  output:
    path("${barcode}/*.csv")
    path("${barcode}/*.pdf")
    path("${barcode}/*.png")

  script:
    """
    mkdir ${barcode}
    cd ${barcode}/
    Rscript /HBV_RNAs_count.R -s ../${spvariants} -c ../${classification} -b ${barcode}
    """
}
